import styles from "../../../styles";
import { useNavigate } from "react-router-dom";
import AssessmentIcon from "@mui/icons-material/Assessment";

import equipment from "../../../assets/Equipment.svg";
import transaction from "../../../assets/Transaction.svg";

export default function TechnicianNavigation() {
  const navigate = useNavigate();
  return (
    <>
      <div
        style={{
          display: "flex",
          flexDirection: "column",
          alignItems: "center",
          gap: "24px",
          alignSelf: "stretch",
          paddingBottom: "5rem"
        }}
      >
        <div
          style={{
            display: "flex",
            flexDirection: "column",
            alignItems: "center",
            gap: "24px",
            width: "100%",
            maxWidth: "800px",
          }}
        >
          <p
            style={{
              overflow: "hidden",
              color: "#0E410D",
              fontSize: "24px",
              fontWeight: 700,
              display: "-webkit-box",
              width: "100%",
              maxWidth: "807px",
              flex: 1,
              textAlign: "left",
              marginLeft: "1rem",
            }}
          >
            Feature
          </p>
          <button
            style={{
              display: "flex",
              width: "100%",
              height: "85px",
              padding: "15px 30px",
              alignItems: "center",
              gap: "15px",
              borderRadius: "12px",
              border: "1px solid #6877FF",
              background: "#DDEDFF",
            }}
            onClick={() => {
              navigate("/view/transactions");
            }}
          >
            <img src={transaction} alt="Manage Transaction" />

            <p style={{ ...styles.text_normal, fontSize: 20, margin: "10" }}>
              Manage Transactions
            </p>
          </button>

          <button
            style={{
              display: "flex",
              width: "100%",
              height: "85px",
              padding: "15px 30px",
              alignItems: "center",
              gap: "15px",
              borderRadius: "12px",
              border: "1px solid #E3BD91",
              background: "#E8D3BB",
            }}
            onClick={() => {
              navigate("/view/ManageEquipment");
            }}
          >
            <img src={equipment} alt="Manage Equipment" />

            <p style={{ ...styles.text_normal, fontSize: 20, margin: "10" }}>
              Manage Equipments
            </p>
          </button>
          <button
            style={{
              display: "flex",
              width: "100%",
              height: "85px",
              padding: "15px 30px",
              alignItems: "center",
              gap: "15px",
              borderRadius: "12px",
              border: "1px solid #FFCBA5",
              background: "#FFEDAF",
            }}
            onClick={() => {
              navigate("/view/transactions/report");
            }}
          >
            <AssessmentIcon
              style={{
                height: 48,
                width: 48,
                fill: "brown",
              }}
            />

            <p style={{ ...styles.text_normal, fontSize: 20, margin: "10" }}>
              Generate Report
            </p>
          </button>
        </div>
      </div>
    </>
  );
}
