import { useState } from "react";
import styles from "../../styles";
import MenuIcon from "@mui/icons-material/Menu";
import SidebarModal from "../Drawer/Drawer";
import { Drawer } from "@mui/material";
export interface props {
  label: string;
}

export default function Header(props: props) {
  const [SidebarOpen, SetSidebarOpen] = useState(false);
  return (

    <div>
    <div
      style={{
        position: "fixed",
        top: 0,
        width: "100%",
        display: "flex",
        padding: "10px 25px",
        justifyContent: "space-between",
        alignItems: "center",
        alignSelf: "stretch",
        background: "#B2DFAB",
        zIndex: 1000, // Ensure it's above other elements
      }}
    >
      <div
        style={{
          display: "flex",
          flex: "1 0 0",
        }}
      >
        <MenuIcon
          style={{
            height: "48px",
            width: "48px",
            float: "left",
            marginLeft: "8px",
          }}
          onClick={() => {
            SetSidebarOpen(true);
          }}
        />
      </div>

      <div
        style={{
          display: "flex",
          justifyContent: "space-between",
          alignItems: "center",
          flex: "1 0 0",
          alignSelf: "stretch",
        }}
      >
        <p style={{ ...styles.text_light, fontSize: 24, textAlign: "center", flex: 1, margin: "0px" }}>{props.label}</p>
      </div>

      <div
        style={{
          display: "flex",
          justifyContent: "space-between",
          alignItems: "center",
          flex: "1 0 0",
          alignSelf: "stretch",
        }}
      >
      </div>


    </div>

      <div style={{ flex: 1 }} />
      <Drawer open={SidebarOpen} onClose={() => SetSidebarOpen(false)}>
        <SidebarModal />
      </Drawer>
    </div>
  );
}
